Anope Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001605Anope Stable (2.0.x series)[All Projects] Generalpublic2014-06-19 16:012014-11-04 04:38
Reporterazander 
Assigned ToAdam 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSOpenSuseOS Version13.1
Summary0001605: Services crashes when os_info has data stored and you try to issue a moduload
DescriptionOnce you set data in a module, such as os_info, you cannot use operserv to modunload it. It causes services to crash.

Steps To Reproduce1) add info to a nick or channel using /os info add <target> <message>

2) issue a modunload os_info

3) See crash
Additional InformationI found this while trying to debug an issues with os_swhois. Already reported to Adam in #anope. Documenting here to completeness.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006667)
Adam (administrator)
2014-11-04 04:38

This was fixed, in ff93355af851541e21218811eb46190a3eb070a3
(0006666)
azander (developer)
2014-11-03 18:25

I thought this was fixed already. Why is it still in the bug tracker?

- Issue History
Date Modified Username Field Change
2014-06-19 16:01 azander New Issue
2014-06-19 16:03 azander Severity minor => crash
2014-11-03 18:24 azander Assigned To => azander
2014-11-03 18:24 azander Status new => assigned
2014-11-03 18:24 azander Assigned To azander => Adam
2014-11-03 18:25 azander Note Added: 0006666
2014-11-03 18:25 azander Assigned To Adam =>
2014-11-03 18:25 azander Status assigned => new
2014-11-04 04:38 Adam Note Added: 0006667
2014-11-04 04:38 Adam Status new => resolved
2014-11-04 04:38 Adam Resolution open => fixed
2014-11-04 04:38 Adam Assigned To => Adam


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker